classification
Title: Add support for CAN_RAW_JOIN_FILTERS
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, martin.panter, pablogsal, r.david.murray, rumpelsepp
Priority: normal Keywords: patch

Created on 2015-12-02 16:40 by rumpelsepp, last changed 2020-04-09 12:04 by pablogsal. This issue is now closed.

Files
File name Uploaded Description Edit
can_raw_join_filters.diff rumpelsepp, 2015-12-02 16:40 patch for CAN_RAW_JOIN_FILTERS; with trailing whitespace cleanup review
can_raw_join_filters-no-whitespace.diff rumpelsepp, 2015-12-02 16:42 patch for CAN_RAW_JOIN_FILTERS; without trailing whitespace cleanup review
can_raw_join_filters-no-whitespace-v2.diff rumpelsepp, 2015-12-02 21:56 patch for CAN_RAW_JOIN_FILTERS; without trailing whitespace cleanup, V2 review
Pull Requests
URL Status Linked Edit
PR 19190 merged ZackerySpytz, 2020-03-27 14:59
Messages (10)
msg255723 - (view) Author: Stefan Tatschner (rumpelsepp) * Date: 2015-12-02 16:40
Here is a patch, which adds support for CAN_RAW_JOIN_FILTERS which is available since linux 4.1 [1]. My patch fixes trailing whitespace issues as well. Since I have a newer version of autotools, running "autoreconf" generates a lot of changes, so I left that out for the time being.

[1]: https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=a5581ef4c2eac6449188862e903eb46c7233582a
msg255724 - (view) Author: Stefan Tatschner (rumpelsepp) * Date: 2015-12-02 16:42
in case you don't like whitespace cleanups, here is the patch with "git diff --ignore-space-changes".
msg255782 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-12-02 21:25
Not sure what the general policy is, but IMO it is better to leave offensive white space as it is to avoid flooding the file history and diffs, unless you are editing nearby lines.

I will leave some review comments for the documentation.
msg255783 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-12-02 21:47
In this particular case, whether we want to do that to config.ac is a separate question and should be addressed in a separate issue.
msg255784 - (view) Author: Stefan Tatschner (rumpelsepp) * Date: 2015-12-02 21:50
Because is the first time I work with this bugtracking system on python.org, how can I update my patch? :) Just upload a new one?
msg255786 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-12-02 21:53
Yes.  The review system will automatically include the new patch, regardless of its name (it looks at the content).
msg255787 - (view) Author: Stefan Tatschner (rumpelsepp) * Date: 2015-12-02 21:56
Thanks! Here is an update.
msg255789 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-12-02 22:04
The other thing for new features is test cases. I don’t know if there are any existing CAN socket tests (in fact I don’t know anything about CAN sockets). Is it possible to make a test for this? Even if it just ensures that the setting can be applied when supported. Though I guess if this is too hard it may not be worth it.
msg255790 - (view) Author: Stefan Tatschner (rumpelsepp) * Date: 2015-12-02 22:07
Hmm. I just adapted this feature request from issue22631 for the new constant and I verified that my patch actually works. I could try to provide a test, but then I would have to open Pandora's box as I am not a CPython developer at all. :/
msg366043 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-04-09 12:03
New changeset 97e0de04b8cd44474e452a028761e34407192041 by Zackery Spytz in branch 'master':
bpo-25780: Expose CAN_RAW_JOIN_FILTERS in the socket module (GH-19190)
https://github.com/python/cpython/commit/97e0de04b8cd44474e452a028761e34407192041
History
Date User Action Args
2020-04-09 12:04:19pablogsalsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-04-09 12:03:53pablogsalsetnosy: + pablogsal
messages: + msg366043
2020-03-27 14:59:40ZackerySpytzsetnosy: + ZackerySpytz
pull_requests: + pull_request18550
2015-12-02 22:07:48rumpelseppsetmessages: + msg255790
2015-12-02 22:04:56martin.pantersetmessages: + msg255789
2015-12-02 21:56:06rumpelseppsetfiles: + can_raw_join_filters-no-whitespace-v2.diff

messages: + msg255787
2015-12-02 21:53:22r.david.murraysetmessages: + msg255786
2015-12-02 21:52:15pitrousetnosy: - pitrou
2015-12-02 21:50:46rumpelseppsetmessages: + msg255784
2015-12-02 21:47:19r.david.murraysetnosy: + r.david.murray
messages: + msg255783
2015-12-02 21:25:36martin.pantersetnosy: + martin.panter
messages: + msg255782

type: enhancement
stage: patch review
2015-12-02 17:30:20SilentGhostsetnosy: + pitrou
2015-12-02 16:42:00rumpelseppsetfiles: + can_raw_join_filters-no-whitespace.diff

messages: + msg255724
2015-12-02 16:40:47rumpelseppcreate